Skip to main content
PATCH
Review time off

Authorizations

Authorization
string
header
required

A workspace API key from Settings › Developer.

Query Parameters

workspace_id
string
required

The workspace: the 24-character ID in its Ankra address, or its UUID.

Body

application/json
id
string<uuid>
required

The request's ID.

status
enum<string>
required

The decision.

Available options:
approved,
denied
executor_roblox_user_id
integer

Roblox user ID of whoever did this in game. Recorded as the actor when they are linked to someone in the workspace.

Response

OK.

id
string<uuid>
user_id
string<uuid> | null
roblox_user_id
integer | null
start_date
string<date>
end_date
string<date>
type
string | null
reason
string | null
notes
string | null
status
enum<string>
Available options:
pending,
approved,
denied
reviewed_by
string<uuid> | null
reviewed_at
string<date-time> | null
created_at
string<date-time>